<?php
if(isset($_POST["bexp"])) {		
	$sql = "call spQuery_Report_AnalComp_Vendedor_Dia('$_POST[anio]', '$_POST[mes]', '$_POST[tipo]');";
	$dias = date("d",mktime(0,0,0,$_POST["mes"]+1,0,$_POST["anio"]));
	$varCab = array(array("cab"=>"VENTA POR DIA MES ".MesNombreLargo($_POST[mes])." - ".$_POST["anio"], "det"=>array("01"))
					);
	for($i=2;$i<=$dias;$i++) {
		$varCab[0]["det"][$i-1]=str_pad($i,2,"0",STR_PAD_LEFT);
		}
	$varCab[0]["det"][$i]="TOTAL";
	$varNiv = array(0 =>array("COD"=>"CVEN","DES"=>"VENDEDOR"),
					1 =>array("COD"=>"CTIP","DES"=>"TIPO"),
					2 =>array("COD"=>"CTOT","DES"=>"TOTAL"));			
	$_SESSION["_varNiv"] = $varNiv;
	$_SESSION["_varPag"] = $varForm["titu"];
	$_SESSION["_varCab"] = $varCab;
	$_SESSION["_varSql"] = $sql;
	$dir = "export_grid_combinado.php";
	header("location: $dir");
	}
function MyTable($obj, $Titulo, $Opcion, $Valor, $TamFila) {	
	$Link = $_SERVER['PHP_SELF'];
	if(!isset($Opcion)) {	
		$sqanio = "select distinct id_anio, id_anio from _sv_metas order by id_anio desc;";
		$varMes = array("01"=>"ENERO",
						"02"=>"FEBRERO",
						"03"=>"MARZO",
						"04"=>"ABRIL",
						"05"=>"MAYO",
						"06"=>"JUNIO",
						"07"=>"JULIO",
						"08"=>"AGOSTO",
						"09"=>"SETIEMBRE",
						"10"=>"OCTUBRE",
						"11"=>"NOVIEMBRE",
						"12"=>"DICIEMBRE");
		$varTipo = array("V" => "VALOR VENTA", "I" => "IGV", "T" => "VENTA TOTAL");
		
		$sql = "select id_almacen, nombre from _sv_almacen where _estado = 'A'";
		$varForm = array("id"=>"form", "name"=>"form", "metodo"=>"POST", "onsubmit"=>"return validaForm(this)");
		$varTabla= array("tamano"=>"400", "titulo"=>$Titulo, "clase"=>"FormTitulo");
		$varConte= array(array("titulo"=>"Periodo :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "campo"=>array("tipo"=>"varios",
														    "contenido"=>array(array("tipo"=>"select", "id"=>"anio", "name"=>"anio", "valor"=>$_POST["anio"],
																				     "sql"=>$sqanio, "sincod"=>"SI", "titulo"=>"--[[ANIO]]--", "ancho"=>"83"),
																			   array("tipo"=>"select_simple", "id"=>"mes", "name"=>"mes", "valor"=>$_POST["mes"],  
																				     "combo"=>array("sql"=>$varMes, "titulo"=>"--[[ MES ]]--", "ancho"=>"160"))
																			   )
														   )
										     ),
						 array("titulo"=>"Tipo Datos :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
							   "campo"=>array("tipo"=>"select_simple", "id"=>"tipo", "name"=>"tipo", "valor"=>$_POST[tipo], "ancho"=>"100",
											  "combo"=>array("sql"=>$varTipo, "sincod"=>"SI", "ancho"=>"200")))
						 );
		$varOcult= array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$Titulo, "ancho"=>"100")
						 );
		$varBoton=array(array("tipo"=>"submit", "id"=>"bbus", "name"=>"bbus", "ancho"=>"80", "alto"=>"22", "texto"=>"Buscar"),
						array("tipo"=>"submit", "id"=>"bexp", "name"=>"bexp", "ancho"=>"80", "alto"=>"22", "texto"=>"Exportar")
						);
		echo $obj->setFormulario($varForm, $varTabla, $varConte, $varBoton, $varOcult);
		
		if(isset($_POST["bbus"]))	{	
			$sql = "call spQuery_Report_AnalComp_Vendedor_Dia('$_POST[anio]', '$_POST[mes]', '$_POST[tipo]');";
			$dias = date("d",mktime(0,0,0,$_POST["mes"]+1,0,$_POST["anio"]));
			$varCab = array(array("cab"=>"VENTA POR DIA MES ".MesNombreLargo($_POST[mes])." - ".$_POST["anio"], "det"=>array("01"))
							);
			for($i=2;$i<=$dias;$i++) {
				$varCab[0]["det"][$i-1]=str_pad($i,2,"0",STR_PAD_LEFT);
				}
			$varCab[0]["det"][$i]="TOTAL";
			$varNiv = array(0 =>array("COD"=>"CVEN","DES"=>"VENDEDOR"),
							1 =>array("COD"=>"CTIP","DES"=>"TIPO"),
							2 =>array("COD"=>"CTOT","DES"=>"TOTAL"));			
			echo $obj->setGridCombina($varCab, $sql, $varNiv);
			}
		}	
	} 
?>